<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
  <title>fwDipHierarchyBrowser Panel</title>
  <meta http-equiv="Content-Type"
 content="text/html; charset=utf-8">
</head>
<body>
<p>&nbsp;</p>
<table border="1" width="95%">
  <tbody>
    <tr valign="top">
      <td bgcolor="#00cc00" width="22%"><strong>Panel Name</strong></td>
      <td colspan="2" width="78%">
      <p>fwDipHierarchyBrowser.pnl</p>
      </td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Introduction<br>
      </strong></td>
      <td colspan="2">
      This panel is used to display the fragment of the DIP hierarchy tree. It
      can be used to invoke the view of the publication details and to select
      a publication or a publication field.</td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Instructions</strong></td>
      <td colspan="2">
      The main part of the panel is filled with the TreeView containing the
      DIP hierarchy starting from <a href="#$sInitialAddress">$sInitialAddress
      </a>.<p>Below is the list of common symbols that may be prefixing the
      publication name:
      <ul>
      <li>* a publication is also a branch
      <li>+ a node which is a branch (not expanded)
      <li>- a node which is a branch (expanded)
      <li>no symbol - a publication (leaf node)
      </ul></p>
      <p>Navigation is rather straightforward - basically it is only clicking on
      the nodes.</p>
      <p>There is a text box below the TreeView which contains the address of
      currently selected node.</p>
      <p>Clicking on the &quot;Details&quot; button will invoke the panel with the
      detailed information about selected publication (if a publication node
      has been selected).</p>
      <p>Clicking the add button (if visible - <a href="#$bBrowser">$bBrowser</a>)
      will return data about selected publication to the invoking panel.</p>
      </td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Restrictions</strong></td>
      <td colspan="2">To update the list of current configuration data points, 
      you must manually press the &quot;Refresh&quot; button.&nbsp; This is important to 
      ensure that you are viewing the latest information.<br>
      </td>
    </tr>
  </tbody>
</table>
<p>&nbsp;</p>
<div align="center">
  <center>
<table border="0" style="border-collapse: collapse" bordercolor="#111111" cellpadding="0" cellspacing="0">
  <tbody>
    <tr>
      <td width="0" height="0">
        <div align="center">
          <img
 src="fwDipHierarchyBrowser.PNG" alt="Panel screenshot" width="402" height="492"></div>
      </td>
    </tr>
  </tbody>
</table>
  </center>
</div>
<p>&nbsp;</p>
<p>&nbsp;</p>
<table border="1" width="95%">
  <tbody>
    <tr bgcolor="#00cc00">
      <td colspan="3"><strong>Dollar Parameters</strong></td>
    </tr>
    <tr bgcolor="#00cc00">
      <td width="23%"><strong>Name</strong></td>
      <td width="62%"><strong>Description</strong></td>
      <td width="15%">&nbsp;</td>
    </tr>
    <tr>
      <td><a name="$sInitialAddress">$sInitialAddress</a></td>
      <td>Specifies the address of the root of the DIP hierarchy to display</td>
      <td>Required</td>
    </tr>
    <tr>
      <td><a name="$sApiManagerDp">$sApiManagerDp</a></td>
      <td>Contains the DIP API Manager config DP - which is needed to execute
          a DIP query.
      </td>
      <td>Required</td>
    </tr>
    <tr>
      <td><a name="$iResultType">$iResultType</a></td>
      <td>The ResultType of the publication under $sInitialAddress. ResultType
          is being returned by the DIP query.
      </td>
      <td>Required</td>
    </tr>
    <tr>
      <td><a name="$sChildName">$sChildName</a></td>
      <td>Contains a dyn_string with all the names of children of the 
      publication at $sInitialAddress converted into a string.
      </td>
      <td>Required</td>
    </tr>
    <tr>
      <td><a name="$iChildType">$iChildType</a></td>
      <td>Contains a dyn_int with all the child types of the publication at
      $sInitialAddress converted into a string.
      </td>
      <td>Required</td>
    </tr>
    <tr>
      <td><a name="$bBrowser">$bBrowser</a></td>
      <td>Specifies whether the &quot;add&quot; button is visible
      	<p>TRUE - The &quot;add&quot; button is hidden.</p>
	<p>FALSE - The &quot;add&quot; button is visible.<br>
        </td>
      <td>Required</td>
    </tr>    
    <tr>
      <td><a name="$noDetails">$noDetails</a></td>
      <td>If defined then the &quot;details&quot; button
      	  is hidden.</td>
      <td>Optional</td>
    </tr>
    
  </tbody>
</table>
<br>
</body>
</html>